package com.purui.prims.headless.server.service;

import com.purui.prims.headless.api.pojo.request.MetricPersistenceConfigReq;
import com.purui.prims.headless.api.pojo.response.MetricPersistenceConfigResp;
import com.purui.prims.headless.server.persistence.dataobject.MetricPersistenceConfigDO;

import java.util.List;

/**
 * 指标持久化配置
 *
 * @author charlie
 * @date 2024/6/21
 */
public interface MetricPersistenceConfigService {

    boolean save(MetricPersistenceConfigReq configReq);

    MetricPersistenceConfigResp get(Long id);

    MetricPersistenceConfigDO getById(Long id);

    MetricPersistenceConfigResp getByMetricId(Long id);

    List<MetricPersistenceConfigResp> getConfigList();

    boolean delete(Long id);
}
